<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#
//------------------------------ НОВАЯ ФУНКЦИЯ КЕШИРОВАНИЯ ------------------------------//
$filtime=filemtime(BASEDIR."local/datatmp/library.dat");
$filtime=$filtime+3600; //1-часовое индексирование 
$ttime=time();

if($ttime>=$filtime){

$ldir = opendir (BASEDIR."library"); // открываем директорию library
while ($file = readdir ($ldir)) 
{if (( $file != ".") && ($file != "..") && ($file != ".htaccess") && ($file != "index.php") && ($file != "top.php") && ($file != "lib.php") && ($file != "new.php")) // эти файлы игнорируем
{$la[]=$file;}}  // записываем все что есть в массив
closedir ($ldir); //Закрываем 
		

$total = count($la);  //считаем 
for ($li = 0; $li < $total; $li++){ //пускаем цикл от нуля до численности папок за исключением тех что выше
	
	
$ldir = opendir (BASEDIR."library/$la[$li]"); // открываем  директорию c циклом папок
while ($file = readdir ($ldir)) 
{if (ereg(".txt$", $file)) // эти файлы игнорируем
{$la[]=$file;}}  // записываем все что есть в массив
closedir ($ldir); //Закрываем 	
}
$tot = count($la); //считаем
$libto=round($tot-$total); //вычисляем из общего счета сами папки, ведь нужны тока файлы в них



for ($li2 = 0; $li2 < $total; $li2++){ //пускаем цикл от нуля до численности папок за исключением тех что выше
	
$libdir = opendir (BASEDIR."library/$la[$li2]"); // открываем  директорию c циклом папок
while ($libfile = readdir ($libdir)) 
{
$filtime=filemtime (BASEDIR."library/$la[$li2]/$libfile"); 
$filtime=$filtime+(3600*24*5);  //Сколько файл считать новым сейчас уст. на 5 суток
$ttime=time();
if($filtime>=$ttime){	
if (ereg(".txt$", $libfile)) // эти файлы не игнорируем
{

$lcc[]=$libfile;	}}}  // записываем все что есть в массив
closedir ($libdir); //Закрываем 
}
$libto2 = count($lcc); //считаем


if($libto2>0){
$dtext=(int)$libto.'/+'.(int)$libto2; 
}else{
$dtext =(int)$libto;
}


$fp = fopen(BASEDIR."local/datatmp/library.dat","a+");
flock ($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,$dtext);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0666); 
chmod (BASEDIR."local/datatmp/library.dat", 0666); 
}

$linput = file(BASEDIR."local/datatmp/library.dat"); 
echo ' ('.$linput[0].')<br>';

	

	
	
	
	
	
	
	
	
?>